"use strict";
var common_vendor = require("../../../../common/vendor.js");
var uni_modules_wotDesignUni_components_wdCard_types = require("./types.js");
require("../common/props.js");
const __default__ = {
  name: "wd-card",
  options: {
    addGlobalClass: true,
    virtualHost: true,
    styleIsolation: "shared"
  }
};
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  ...__default__,
  props: uni_modules_wotDesignUni_components_wdCard_types.cardProps,
  setup(__props) {
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: _ctx.title || _ctx.$slots.title
      }, _ctx.title || _ctx.$slots.title ? common_vendor.e({
        b: _ctx.title
      }, _ctx.title ? {
        c: common_vendor.t(_ctx.title)
      } : {}, {
        d: common_vendor.n(_ctx.customTitleClass)
      }) : {}, {
        e: common_vendor.n(`wd-card__content ${_ctx.customContentClass}`),
        f: _ctx.$slots.footer
      }, _ctx.$slots.footer ? {
        g: common_vendor.n(`wd-card__footer ${_ctx.customFooterClass}`)
      } : {}, {
        h: common_vendor.n(_ctx.type == "rectangle" ? "is-rectangle" : ""),
        i: common_vendor.n(_ctx.customClass),
        j: common_vendor.s(_ctx.customStyle)
      });
    };
  }
});
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-f064e216"], ["__file", "D:/\u7F51\u6291\u4E91Time/\u79C1\u6D3B/2000\u7B97\u5366/src/uni_modules/wot-design-uni/components/wd-card/wd-card.vue"]]);
wx.createComponent(Component);
